### Class

# Pos CompleterManager

since: 0

#### Description [src]

    final class Pos.CompleterManager : GObject.Object
    {
      /* No available fields */
    }

Manages initialization and lookup of the different completion engines.

Available since: 0

#### Ancestors

- GObject

#### Constructors

###### pos_completer_manager_new

No description available.

since: 0

#### Instance methods

###### pos_completer_manager_get_default_completer

The default completer to be used when no other completer is a better match.

since: 0

###### pos_completer_manager_get_info

Get an info object that can later be used to select a completer for a given language.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Pos.CompleterManager:default

The default completer. This completer is used as fallback when no other completer is more suitable.

since: 0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PosCompleterManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.